List Retailer Ship-To Locations
Returns a list of RetailerShipToLocation objects under the given Retailer.
Authorizations
Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.
Path Parameters
The id of the parent Retailer.
x >= 1Query Parameters
Specify additional fields of the RetailerShipToLocation object to be included in the response.
See the selecting fields page for more information.
basic, all, code, qualifier_x12, label, location_type, company, street, city, region_id, region, postcode, country_id, telephone, email, is_default, status, retailer, created_at, updated_at Specify additional fields of the parent Retailer object to be included in the response. See the selecting fields page for more information.
basic, all, code, name, status, fulfillment_model, merchant, parent_retailer, legal_name, dba, default_duties_payor, default_shipping_method, allowed_shipping_methods, default_tpb_group_id, routing_guide_notes, custom_fields, created_at, updated_at Specify additional fields of the nested Merchant of the parent Retailer. See the selecting fields page for more information.
basic, all, code, name, status, created_at, updated_at, brands, default_brand, custom_fields Using the filtering syntax, you may filter the results using:
id, code, label, location_type, is_default, status, city, region, postcode, country_id, created_at, updated_at.
The default sort order is ascending by primary key (sort=id).
Using the sorting syntax, the following fields are available for sorting:
idcodelabellocation_typeis_defaultstatuscityregionpostcodecountry_idcreated_atupdated_at
If specified as 1, the meta.count property of the response will be present and populated with the total count of items
matching the query before any paging is applied. This is not included by default to improve performance in some edge
cases and is not required to perform paging using the next property of the response.
See paging parameters for more information.
0 <= x <= 1A cursor for use in pagination which defines the last id of the next page of results, non-inclusive.
See paging parameters for more information on paging.
A cursor for use in pagination which defines the starting id of the next page of results.
See paging parameters for more information on paging.
A limit on the number of objects to be returned.
1 <= x <= 1000100
Response
A dictionary with a collection of RetailerShipToLocation objects.
True if the collection has more items on the next page. Use the "next" link to retrieve the next page of results.
The resource path for the next page of results if any are expected.
The resource path for the previous page of results if any are expected.
Additional metadata pertaining to the response.